import Vue, { VNode } from 'vue';
import { TdPrimaryTableProps } from '../../type';
import { ClassName } from '../../../common';
export declare const ASYNC_LOADING_ROW = "async-loading-row";
declare const _default: import("vue/types/vue").ExtendedVue<Vue, {
    pullDownLoading: boolean;
}, {
    asyncLoadingHandler(data: TdPrimaryTableProps['data']): TdPrimaryTableProps['data'];
    onLoadClick(): void;
    renderAsyncLoadingRow(): VNode;
}, {
    classes: ClassName;
}, {
    columns: import("../../type").PrimaryTableCol<import("../../type").TableRowData>[];
    asyncLoading: "loading" | ((h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue) | "load-more";
}>;
export default _default;
